<?  
session_start();

if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php"); 
$enlace=cargar_conexion();
$color=0;


	
	//================== buscar datos del personal
	$consulta="select fechai,nombres,nombres1,apellidos,apellidos1,cargo,smes, departamento, empresa from personal where codigo='".$cedula."' ";
	$resultado = mysql_query($consulta) or die($consulta . mysql_error());
	$row=mysql_fetch_array($resultado);
	$_POST['personal']=trim($row['nombres'])." ".trim($row['nombres1']).' '.trim($row['apellidos'])." ".trim($row['apellidos1']);
	
	$_POST['dgerencia']='';
	if ($_SESSION['modo_validar']>0) {
		$consultag="Select * from tablas where tabla=ucase('EMPRESA') and id='".$_SESSION['id_validar']."' and codigo='".trim($row['empresa'])."' order by codigo,detalle";
		$consultagg = mysql_query($consultag) or die ("no se pudo realizar la consulta...".$consultag.'='.mysql_error());	
		$rowg = mysql_fetch_array($consultagg);
		$_POST['dgerencia']=$rowg['detalle'];
	} 
	
	require('fpdf.php');
	class PDF extends FPDF {
	function Header()
		{
			if ($_POST['dgerencia']=='') {
				$this->Image($_SESSION['logo_validar'],10,10,60,30);
				$this->SetFont('arial','',12);
				$this->Ln(2);
				$this->Cell(0,5,$_SESSION['empresa_validar'],0,1,'R'); 
			} else {
				$this->Ln(5);
				$this->SetFont('arial','B',16);
				$this->Cell(0,9,$_POST['dgerencia'],0,1,'C'); 
			}	
			$this->Cell(0,5,$_POST['encabeza'],0,1,'R');
			$this->SetFont('arial','',10);
	    	$this->Cell(0,5,'Fecha: '.hoy(),0,1,'R'); 
			$this->SetFont('arial','B',15); 
			$this->Ln(5);
			$this->Cell(0,5,'[Reporte de Prestaciones Sociales e Intereses]',0,1,'C');
			$this->SetFont('arial','',10);
			$this->ln(5);
			$header=array('#','Cedula','Apellidos y Nombres','Antiguedad','Dias Pagos','Prestaciones','Intereses','Disponible');
			$anchof=array(10,20,90,30,20,30,30,30);
			for($i=0;$i<8;$i++) $this->Cell($anchof[$i],4,$header[$i],1,0,'C',0);
			$this->Ln();
		}
		function Footer() {
			$this->Cell(0,0,'',1,1,'C'); 
			$this->ln(1); 
			$this->Cell(0,0,'',1,1,'C'); 
		}
	}
	$pdf=new PDF($orientacion='P',$unit='mm',$format='letter');
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	
	//================== buscar cargo
	$consultaf="select detalle from tablas where tabla='CARGO' and codigo='".$row['cargo']."'  and id='".$_SESSION['id_validar']."'";
	$resultadof = mysql_query($consultaf) or die($consultaf . mysql_error());
	$rowf=mysql_fetch_array($resultadof);
	$car=$rowf['detalle'];
	
	//================== buscar departamento
	$consultaf="select detalle from tablas where tabla='DEPARTAMENTO' and codigo='".$row['departamento']."'  and id='".$_SESSION['id_validar']."'";
	$resultadof = mysql_query($consultaf) or die($consultaf . mysql_error());
	$rowf=mysql_fetch_array($resultadof);
	$dep=$rowf['detalle'];
	
	//============ datos de empresa
	$consulta=mysql_query("select * from empresa where id='".$_SESSION['id_validar']."' ");
	$rowr=mysql_fetch_array($consulta);
	$ince=$rowr['ince'];
	$dvac=$rowr['dvac'];
	$duti=$rowr['duti'];
	$icon=$rowr['icon'];
	
	//=========== datos de prestaciones
	$consultax="select * from prestacion where cedula='".$cedula."' and id='".$_SESSION['id_validar']."' ";
	$resultadox = mysql_query($consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
	if (mysql_num_rows($resultadox)>0) {
		$rowx=mysql_fetch_array($resultadox);
		$smes = $rowx['smes'];
		$dias = $rowx['dias'];	
		$fec1 = $rowx['fechai'];
		$fec2 = $rowx['egreso'];
		$vac = $rowx['vacacion'];
	} else {
		$smes = $row['smes'];
		$dias = 0;	
		$fec1 = $row['fechai'];
		$fec2 = date('Y-m-d');
		$vac = 0;
	}	
	
	$semana=0;
	if ($dias>1 && $dias<=7) $semana=1;
	if ($dias>7) $semana=2;

	if ($accion==2) {
		$fec1=$row['fechai'];	
		$fec2=date('Y-m-d');
	}
	
	$afn=substr($fec1,0,4);	
	$mfn=substr($fec1,5,2);	
	$a=substr($fec2,0,4);	
	$m=substr($fec2,5,2);	
	if ($m-$mfn<0) $meses = ($a-$afn-1)*12 + ($m-$mfn+12);
	else $meses = ($a-$afn)*12 + ($m-$mfn);

	if ($mfn>=1 && $mfn < $m) $mesutilidad = $m - $mfn;
	else $mesutilidad = $m;
	$utilidad = $duti/12*$mesutilidad*($smes/30);
	

	//============ mostrar informe
	$fec11 = substr($fec1,0,7);
	$fec22 = substr($fec2,0,7);
	$inicio=0; $tri=0; $salto=0; $anosx=0; $anos=0; $entrosueldo=0; $acumulado=0; $intereses=0; $tdias=0; $prestaciones=0;
	$interesganados=0; $acumulado=0;

	//============ datos de sueldo
	$consulta=mysql_query("select sueldo from personal_sueldo where id='".$_SESSION['id_validar']."' and substring(fec,1,7)='".$fec11."' and codigo='".$cedula."'") or die (mysql_error());
	$row=mysql_fetch_array($consulta);
	if (mysql_num_rows($consulta)!=0) $sueldo=$row['sueldo'];
	
	while ($fec11<$fec22) {
		
			//====================== calcular aņos
			$anosx++;
			if ($anosx>12) {
				$anos++;			
				$anosx=1;
			}	
			
			$a=substr($fec11,0,4);	
			$m=substr($fec11,5,2)+1;	
			if ($m>12) {
				$m='01';
				$a=$a+1;
			} else $m=(strlen($m)==1?('0'.$m):$m);	
			$fec11=$a."-".$m;

			//===================== buscar dias de utilidades en historico	
			$consulta=mysql_query("select dvac,duti from historico_parametro where id='".$_SESSION['id_validar']."' and anio='".$a."'") or die (mysql_error());
			if (mysql_num_rows($consulta)!=0) {
				$row=mysql_fetch_array($consulta);
				$dvacx=$row['dvac'];
				$dutix=$row['duti'];
			} else {
				$dvacx=$dvac;
				$dutix=$duti;
			}
			
			//====================== salto de tres en tres desde 05-2012
			if ($tri==1) {
				$salto++; $dias=0;
				if ($salto==3) {
					$salto=0;
					$dias=15;
				}	
			} else {
				if ($fec11<='2012-04') {
					if ($fec11=='2012-04') $tri=1;
					$dias=5;	
				} else {
					$tri=1;
					$salto++; $dias=0;
					if ($salto==3) {
						$salto=0;
						$dias=15;
					}	
				}
			}

			//====================== calcular inicio
			$inicio++;
			if ($inicio<=3 && $fec11<'2012-04') $dias=0;

			//============ datos de adelantos
			$consulta=mysql_query("select sum(monto) as total from prestacion_adelanto where id='".$_SESSION['id_validar']."' and substring(fecha,1,7)='".$fec11."' and cedula='".$cedula."'") or die (mysql_error());
			$row=mysql_fetch_array($consulta);
			$adelanto=$row['total'];
			$consulta=mysql_query("select sum(monto) as total from prestacion_interes where id='".$_SESSION['id_validar']."' and substring(fecha,1,7)='".$fec11."' and cedula='".$cedula."'") or die (mysql_error());
			$row=mysql_fetch_array($consulta);
			$adeinteres=$row['total'];

			//============ datos de sueldo
			$consulta=mysql_query("select sueldo from personal_sueldo where id='".$_SESSION['id_validar']."' and substring(fec,1,7)='".$fec11."' and codigo='".$cedula."'") or die (mysql_error());
			$row=mysql_fetch_array($consulta);
			if (mysql_num_rows($consulta)!=0) $sueldo=$row['sueldo'];
			$integral = ($sueldo/30) + ($dvacx/12*$sueldo/30/30) + ($dutix/12*$sueldo/30/30);
			$alivac =  ($dvacx/12*$sueldo/30/30);
			$aliuti = ($dutix/12*$sueldo/30/30);
			
			//============ datos de interes
			if ($icon!=2) {
				$consulta=mysql_query("select mon as total from tab_interes where substring(fec,1,7)='".$fec11."'");
				$row=mysql_fetch_array($consulta);
			}	
			$interes=($row['total']==0?$interes:$row['total']);
			
			//====================== mostrar resultado
			$acumulado += $integral*$dias - $adelanto;
						
			//============ calculo
			if ($prestaciones*$interes/100/12>0) {
				$interesganados += ($prestaciones*$interes/100/12)-$adeinteres;	
			}

			//============ dia adicional
			if ($anosx==12 && $anos>=1) {
				$diaa = $anos*2;
				$acumulado += $integral*$diaa;
				$color=!$color;
			} else $diaa=0;	
			
			$tdias += $dias+$diaa;	
			$prestaciones += ($integral*$dias)+($integral*$diaa)-$adelanto;	
	}
	//====================== mostrar resultado final 
	$color=!$color;
	$pdf->SetFont('Arial','',11);
	$pdf->cell(10,5,$linea,0,0,'',$color);
	$pdf->cell(20,5,$cedula,0,0,'',$color);
	$pdf->cell(90,5,trim($row['nombres']).' '.$row['nombres1'].", ".trim($row['apellidos'])." ".$row['apellidos1'],0,0,'',$color);
	$ant  = "Aņos: ".(mostrar_antiguedad(1,$row['fechai'],date('Y-n-j')))." ";
	$ant .= "Meses: ".(mostrar_antiguedad(2,$row['fechai'],date('Y-n-j')))." ";
	$ant .= "Dias: ".(mostrar_antiguedad(3,$row['fechai'],date('Y-n-j')))."";
	$pdf->cell(30,5,$ant,0,0,'',$color);
	$pdf->cell(30,5,number_format($prestaciones,2),0,0,'R',$color);
	$pdf->cell(30,5,number_format($interesganados,2),0,0,'R',$color);
	$pdf->cell(30,5,number_format($tdias,0),0,1,'R',$color);

}	
$pdf->Output();	
?>